class PlayerAssignmentItemClient_LocalRatings extends PlayerAssignmentItem.Client {

    constructor()
    {
        super();
    }

    createItem(guid)
    {
        const show = Engine.ConfigDB_GetValue("user", "localratings.general.showmatchsetup");
        // If option is active
        if (show === "true")
        {
            // Add rating only if player is not new to the database
            const realPlayerName = g_PlayerAssignments[guid].name.split(" ")[0];
            if (realPlayerName in g_LocalRatingsDatabase)
            {
                const playerData = g_LocalRatingsDatabase[realPlayerName];
                const stringToAdd = ' [/color][color="gray"](' + (playerData.rating * 100).toFixed(2) + "/" + playerData.matches + ")";
                return {
                    "Handler": this,
                    "Value": guid,
                    "Autocomplete": g_PlayerAssignments[guid].name,
                    "Caption": setStringTags(
                        g_PlayerAssignments[guid].name + stringToAdd,
                        g_PlayerAssignments[guid].player == -1 ? this.ObserverTags : this.PlayerTags)
                };
            }
        }
        // Otherwise
        return super.createItem(guid);
    }
    
}

PlayerAssignmentItem.Client = PlayerAssignmentItemClient_LocalRatings;
