function init(data)
{

    let chart = Engine.GetGUIObjectByName("chart");
    let chartLegend = Engine.GetGUIObjectByName("chartLegend");
    Engine.GetGUIObjectByName("title").caption = data.name;
    // If we have one datapoint only, pretend there are two
    const currentRating = data.historyAverageRatings[data.historyAverageRatings.length-1];
    const dataSize = (data.historyRatings.length > 1) ? data.historyRatings.length : 2;
    // Initialize series, colors and legend
    let series = [];
    let colors = [];
    let legend = [];
    let color = "0 0 0 0";
    // Push to GUI
    if (Engine.ConfigDB_GetValue("user", "localratings.chart.showzero") === "true")
    {
        color = Engine.ConfigDB_GetValue("user", "localratings.charts.zerocolor") + " 255";
        series.push([{"x": 1, "y": 0}, {"x": dataSize, "y": 0}]);
        colors.push(color);
        legend.push('[color="' + color + '"]■ Zero Line');
    }
    if (Engine.ConfigDB_GetValue("user", "localratings.chart.showcurrent") === "true")
    {
        color = Engine.ConfigDB_GetValue("user", "localratings.charts.currentcolor") + " 255";
        series.push([{"x": 1, "y": currentRating*100}, {"x": dataSize, "y": currentRating*100}]);
        colors.push(color);
        legend.push('[color="' + color + '"]■ Current rating');
    }
    if (Engine.ConfigDB_GetValue("user", "localratings.chart.showevolution") === "true")
    {
        color = Engine.ConfigDB_GetValue("user", "localratings.charts.evolutioncolor") + " 255";
        series.push(data.historyAverageRatings.map((y, i) => ({"x": i+1, "y": y*100})));
        colors.push(color);
        legend.push('[color="' + color + '"]■ Rating evolution');
    }
    if (Engine.ConfigDB_GetValue("user", "localratings.chart.showperformance") === "true")
    {
        color = Engine.ConfigDB_GetValue("user", "localratings.charts.performancecolor") + " 255";
        series.push(data.historyRatings.map((y, i) => ({"x": i+1, "y": y*100})));
        colors.push(color);
        legend.push('[color="' + color + '"]■ Performance over time');
    }
    chart.series = series;
    chart.series_color = colors;
    chartLegend.caption = legend.join("   ");

}
