g_MainMenuItems.splice(g_MainMenuItems.length - 1, 0,
    {
	"caption": translate("Local Ratings"),
	"tooltip": translate("Rank 0 A.D. players based on games played with them."),
	"onPress": () => {
	    Engine.SwitchGuiPage("page_localratings.xml");
	}
    }
);

// Return a dictionary of the form { configkey: defaultvalue }
function getDefaultSettings_LocalRatings()
{
    const optionsJSON = Engine.ReadJSONFile("gui/localratings/options/options.json")
    let settings = {};
    optionsJSON.forEach(category => category.options.forEach(option => settings[option.config] = option.val));
    return settings;
}
    
// Save default config data in user.cfg
function writeDefaultSettings_LocalRatings()
{
    const settings = getDefaultSettings_LocalRatings();
    for (const key in settings)
    {
        if (! Engine.ConfigDB_GetValue("user", key))
        {
            Engine.ConfigDB_CreateValue("user", key, settings[key]);
            Engine.ConfigDB_WriteFile("user", "config/user.cfg");
        }
    }
}

// Write default settings in user.cfg if not present
writeDefaultSettings_LocalRatings();
